import request from '@/utils/request'

// 查询类型课程关联列表
export function listTypeCourse(query) {
  return request({
    url: '/hezhi/typeCourse/list',
    method: 'get',
    params: query
  })
}

// 查询类型课程关联详细
export function getTypeCourse(typeCourseId) {
  return request({
    url: '/hezhi/typeCourse/' + typeCourseId,
    method: 'get'
  })
}

// 新增类型课程关联
export function addTypeCourse(data) {
  return request({
    url: '/hezhi/typeCourse',
    method: 'post',
    data: data
  })
}

// 修改类型课程关联
export function updateTypeCourse(data) {
  return request({
    url: '/hezhi/typeCourse',
    method: 'put',
    data: data
  })
}

// 删除类型课程关联
export function delTypeCourse(typeCourseId) {
  return request({
    url: '/hezhi/typeCourse/' + typeCourseId,
    method: 'delete'
  })
}
